package com.example.fileaccessapp;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

public class MainActivity extends Activity implements OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button button1 = (Button)findViewById(R.id.button);
        button1.setOnClickListener(this);

        Button button2 = (Button)findViewById(R.id.button2);
        button2.setOnClickListener(this);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onClick(View view) {
        Button button = (Button)view;

        Toast toast = null;

        String fileName = "data.txt";

        if (button.getId() == R.id.button) {
            EditText edit = (EditText)findViewById(R.id.editText);

            String result = "正常に書込ができました。";
            String str = edit.getText().toString();

            try {
                saveText(fileName, str);
            } catch (Exception e) {
                result = e.getMessage();
            } finally {
                edit.setText("");

                toast = Toast.makeText(this, result, Toast.LENGTH_SHORT);
                toast.show();
            }
        } else if (button.getId() == R.id.button2) {
            EditText edit = (EditText)findViewById(R.id.editText2);

            String str = "";
            String result = "正常に読込ができました。";

            try {
                str = readText(fileName);
                edit.setText(str);
            } catch (Exception e) {
                result = e.getMessage();
            } finally {
                toast = Toast.makeText(this, result, Toast.LENGTH_SHORT);
                toast.show();
            }
        }
    }

    private void saveText(String fileName, String str) throws IOException {
        FileOutputStream stream = openFileOutput(fileName, MODE_APPEND);
        BufferedWriter out = new BufferedWriter(new OutputStreamWriter(stream));

        out.write(str + "\n");
        out.close();
    }

    private String readText(String fileName) throws IOException {
        FileInputStream stream = openFileInput(fileName);
        BufferedReader in = new BufferedReader(new InputStreamReader(stream));

        String str = "";
        String line = "";

        while ((line = in.readLine()) != null) {
            str += line + "\n";
        }

        in.close();

        return str;
    }
}


