﻿package com.example.preferencesapp;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity implements OnClickListener {
    private EditText hourEdit;
    private EditText minuteEdit;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        hourEdit = (EditText)findViewById(R.id.editText);
        minuteEdit = (EditText)findViewById(R.id.editText2);

        Button saveButton = (Button)findViewById(R.id.button);
        saveButton.setOnClickListener(this);

        Button loadButton = (Button)findViewById(R.id.button2);
        loadButton.setOnClickListener(this);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onClick(View view) {
        Button button = (Button)view;

        String str = "";
        String fileName = "data";

        if (button.getId() == R.id.button) {
            str = saveRecord(fileName);
        } else {
            str = loadRecord(fileName);
        }

        Toast toast = Toast.makeText(this, str, Toast.LENGTH_SHORT);
        toast.show();
    }

    private String saveRecord(String fileName) {
        String str = "";

        SharedPreferences preference = getSharedPreferences(fileName, MODE_PRIVATE);
        SharedPreferences.Editor editor = preference.edit();

        int hour = Integer.parseInt(hourEdit.getText().toString());
        int minute = Integer.parseInt(minuteEdit.getText().toString());

        editor.putInt("HOUR", hour);
        editor.putInt("MINUTE", minute);

        if (editor.commit()) {
            str = "正常にタイマー設定ができました。";
        } else {
            str = "タイマー設定に失敗しました。";
        }

        return str;
    }

    private String loadRecord(String fileName) {
        String str = "";

        SharedPreferences preference = getSharedPreferences(fileName, MODE_PRIVATE);

        int hour = preference.getInt("HOUR", -1);
        int minute = preference.getInt("MINUTE", -1);

        if (hour == -1 || minute == -1) {
            str = "タイマーが設定されていません。";
        } else {
            str = "設定時間は" + hour + "：" + minute + "です。";
        }

        return str;
    }
}
