package com.example.databaseapp;

import android.app.Activity;
import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.view.View.OnClickListener;
import android.widget.Toast;

public class MainActivity extends Activity implements OnClickListener {
    private DatabaseHelper helper;
    private EditText nameEdit;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        helper = new DatabaseHelper(this);

        nameEdit = (EditText)findViewById(R.id.editText);

        Button registButton = (Button)findViewById(R.id.button);
        registButton.setOnClickListener(this);

        Button searchButton = (Button)findViewById(R.id.button2);
        searchButton.setOnClickListener(this);
    }

    @Override
    public void onClick(View view) {
        Button button = (Button)view;

        String str = null;

        switch (button.getId()) {
            case R.id.button : str = insertRecord(); break;
            case R.id.button2 : str = searchRecords(); break;
        }

        Toast toast = Toast.makeText(this, str, Toast.LENGTH_SHORT);
        toast.show();
    }

    private String insertRecord() {
        SQLiteDatabase db = helper.getWritableDatabase();

        String name = nameEdit.getText().toString();

        ContentValues values = new ContentValues();
        values.put("name", name);

        String str = db.insert("Products", null, values) != -1 ? "登録成功" : "登録失敗";

        return str;
    }

    private String searchRecords() {
        String str = "";
        SQLiteDatabase db = helper.getReadableDatabase();

        String[] columns = {"name"};

        Cursor cursor = db.query("Products", columns, null, null, null, null, null);

        while (cursor.moveToNext()) {
            str += cursor.getString(0) + "\n";
        }

        return str;
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
